System / Server requirements

System Requirements

OpenCart requires certain technical requirements to be met for the store to operate properly. First, a web server must be created to make the OpenCart store publicly available on the web. Domain names and hosting services can easily be purchased for an affordable price.

When selecting a hosting service, you should check to see that these server requirements are provided and installed on their web servers:

These extensions must be enabled for OpenCart to install properly on the web server.

  • Web Server (Apache suggested)
  • PHP 5.3+(1.5.x at least 5.2+)
  • Database (MySQLi suggested)

Required PHP libraries / modules

  • Curl
  • ZIP
  • Zlib
  • GD Library
  • Mcrypt
  • Mbstrings

The above PHP extensions should be available by almost all hosting providers, during the install processa it will check you have them all enabled. You should contact your hosting provider if one is missing.